Debian Bug report logs - #693994
redmine: Missing dependency on rubygems | libruby1.9.1

version graph

Package: redmine; Maintainer for redmine is Jérémy Lal <kapouer@melix.org>; Source for redmine is src:redmine.

Reported by: Axel Beckert <abe@debian.org>

Date: Thu, 22 Nov 2012 17:54:01 UTC

Severity: serious

Tags: patch

Found in version redmine/1.4.4+dfsg1-1

Fixed in version redmine/1.4.4+dfsg1-1.1

Done: Dominik George <nik@naturalnet.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, abe@debian.org, Jérémy Lal <kapouer@melix.org>:
Bug#693994; Package redmine. (Thu, 22 Nov 2012 17:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
New Bug report received and forwarded. Copy sent to abe@debian.org, Jérémy Lal <kapouer@melix.org>. (Thu, 22 Nov 2012 17:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: redmine: Fails to install: Redmine requires Bundler. Please install it with `gem install bundler`.
Date: Thu, 22 Nov 2012 18:52:07 +0100
Package: redmine
Version: 1.4.4+dfsg1-1
Severity: grave
Justification: renders package unusable

In Wheezy, initially installing redmine as well as reconfiguring it
afterwards aborts as follows:

[...]
dbconfig-common: writing config to /etc/dbconfig-common/redmine/instances/default.conf                                                                      

Creating config file /etc/dbconfig-common/redmine/instances/default.conf with new version

Creating config file /etc/redmine/default/database.yml.new with new version
creating database redmine_default: success.
verifying database redmine_default exists: success.

Creating config file /etc/redmine/default/database.yml with new version
Redmine requires Bundler. Please install it with `gem install bundler`.
dpkg: error processing redmine (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up libelf1 (0.152-1+wheezy1) ...
Setting up ruby-hmac (0.4.0-3) ...
Setting up ruby-openid (2.1.8debian-5) ...
Setting up ruby-rmagick (2.13.1-6) ...
Setting up rubygems-integration (1.1) ...
Errors were encountered while processing:
 redmine
[master e087ff5] committing changes in /etc after apt run
 6 files changed, 172 insertions(+)
 create mode 100644 bash_completion.d/rake
 create mode 100644 dbconfig-common/config
 create mode 100644 dbconfig-common/redmine/instances/default.conf
 create mode 100644 logrotate.d/redmine
 create mode 100644 redmine/default/database.yml
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up redmine (1.4.4+dfsg1-1) ...
dbconfig-common: writing config to /etc/dbconfig-common/redmine/instances/default.conf

Creating config file /etc/redmine/default/database.yml.new with new version
creating database redmine_default: already exists.
Redmine requires Bundler. Please install it with `gem install bundler`.
dpkg: error processing redmine (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 redmine
# dpkg --configure --pending
Setting up redmine (1.4.4+dfsg1-1) ...
dbconfig-common: writing config to /etc/dbconfig-common/redmine/instances/default.conf

Creating config file /etc/redmine/default/database.yml.new with new version
creating database redmine_default: already exists.
Redmine requires Bundler. Please install it with `gem install bundler`.
dpkg: error processing redmine (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 redmine

Enabling the "set -x" and RAKE_VERBOSE=true shows the following output:

[...]
+ ucf --purge /etc/redmine/default/database.yml.new
+ [ -e /etc/redmine/default/database.yml.new ]
+ grep -m 1 -o -E adapter: (mysql|pgsql|sqlite3|postgresql) /etc/redmine/default/database.yml.new
+ hasdb=adapter: sqlite3
+ [ -n adapter: sqlite3 ]
+ echo -n sqlite3
+ hasdb=sqlite3
+ withdb=1
+ sed -i -r -e s/^[^#]+((host|port|username|password): [^:]*)$/# \1/g /etc/redmine/default/database.yml.new
+ ucf --debconf-ok /etc/redmine/default/database.yml.new /etc/redmine/default/database.yml
+ rm -f /etc/redmine/default/database.yml.new
+ mkdir -p /var/log/redmine/default
+ mkdir -p /var/lib/redmine/default
+ mkdir -p /var/lib/redmine/default/files
+ mkdir -p /var/cache/redmine/default
+ mkdir -p /var/cache/redmine/default/plugin_assets
+ chmod 750 /var/log/redmine/default
+ chmod 750 /var/lib/redmine/default
+ chmod 755 /var/cache/redmine/default
+ chmod 755 /var/cache/redmine/default/plugin_assets
+ chown -f www-data:www-data /var/log/redmine/default
+ chown -f www-data:www-data /var/lib/redmine/default
+ chown -f www-data:www-data /var/lib/redmine/default/files
+ chown -f www-data:www-data /var/cache/redmine/default
+ chown -f www-data:www-data /var/cache/redmine/default/plugin_assets
+ pwd
+ savedir=/root
+ cd /usr/share/redmine
+ [ -f db/schema.db ]
+ [ -e /etc/redmine/default/email.yml -a ! -e /etc/redmine/default/configuration.yml ]
+ [ ! -f /etc/redmine/default/session.yml ]
+ rake -s generate_session_store YML_SESSION_FILENAME=session.yml.new RAILS_ENV=production X_DEBIAN_SITEID=default
Redmine requires Bundler. Please install it with `gem install bundler`.
+ true
+ chown -f root:www-data /etc/redmine/default/session.yml.new
dpkg: error processing redmine (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 redmine

Nevertheless it doesn't seem to be a missing dependency.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (200, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.4-trunk-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages redmine depends on:
ii  bundler                     1.1.4-6
ii  dbconfig-common             1.8.47+nmu1
ii  debconf [debconf-2.0]       1.5.46
ii  redmine-sqlite              1.4.4+dfsg1-1
ii  ruby-coderay                1.0.6-2
ii  ruby-fastercsv              1.5.5-1
ii  ruby-net-ldap               0.3.1-2
ii  ruby-rack                   1.4.1-2
ii  ruby-rails-2.3              2.3.14-4
ii  ruby1.8 [ruby-interpreter]  1.8.7.358-6

redmine recommends no packages.

Versions of packages redmine suggests:
pn  bzr           <none>
pn  cvs           <none>
pn  darcs         <none>
ii  git           1:1.7.10.4-1
ii  mercurial     2.2.2-1
ii  ruby-openid   2.1.8debian-5
ii  ruby-rmagick  2.13.1-6
ii  subversion    1.6.17dfsg-4

-- debconf information:
  redmine/instances/default/passwords-do-not-match:
  redmine/instances/default/remote/newhost:
* redmine/instances/default/db/basepath: /var/lib/dbconfig-common/sqlite3/redmine/instances/default
  redmine/instances/default/pgsql/changeconf: false
  redmine/instances/default/missing-db-package-error: abort
  redmine/default-language: ${defaultLocale}
  redmine/instances/default/pgsql/no-empty-passwords:
  redmine/instances/default/pgsql/method: unix socket
* redmine/instances/default/database-type: sqlite3
  redmine/instances/default/pgsql/manualconf:
  redmine/instances/default/pgsql/authmethod-admin: ident
  redmine/instances/default/pgsql/admin-user: postgres
  redmine/missing-redmine-package:
  redmine/instances/default/pgsql/authmethod-user: password
  redmine/instances/default/dbconfig-reinstall: false
  redmine/instances/default/db/app-user: redmine
* redmine/instances/default/default-language: en
  redmine/notify-migration:
  redmine/old-instances:
  redmine/instances/default/upgrade-error: abort
* redmine/instances/default/db/dbname: redmine_default
  redmine/instances/default/purge: false
* redmine/current-instances: default
  redmine/instances/default/remote/host:
  redmine/instances/default/dbconfig-upgrade: true
  redmine/instances/default/internal/reconfiguring: false
  redmine/instances/default/upgrade-backup: true
  redmine/instances/default/install-error: abort
  redmine/instances/default/mysql/admin-user: root
  redmine/instances/default/mysql/method: unix socket
  redmine/instances/default/internal/skip-preseed: false
  redmine/instances/default/remove-error: abort
  redmine/instances/default/dbconfig-remove:
  redmine/instances/default/remote/port:
* redmine/instances/default/dbconfig-install: true



Information forwarded to debian-bugs-dist@lists.debian.org, Jérémy Lal <kapouer@melix.org>:
Bug#693994; Package redmine. (Fri, 23 Nov 2012 19:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@antcom.de>:
Extra info received and forwarded to list. Copy sent to Jérémy Lal <kapouer@melix.org>. (Fri, 23 Nov 2012 19:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 693994@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: 693994@bugs.debian.org, 693994-submitter@bugs.debian.org
Subject: redmine: Fails to install: Redmine requires Bundler
Date: Fri, 23 Nov 2012 20:46:41 +0100
Hi,

I can't reproduce this issue.

Tried the following:

* Installing in a clean wheezy chroot (debootstrap)
* Installing in a clean wheezy chroot (pbuilder login)
* Installing in a clean unstable chroot (pbuilder login)

Works fine, like this:

Setting up redmine (1.4.4+dfsg1-1) ...
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
/usr/bin/locale: Cannot set LC_CTYPE to default locale: No such file or
directory
/usr/bin/locale: Cannot set LC_MESSAGES to default locale: No such file
or directory
/usr/bin/locale: Cannot set LC_ALL to default locale: No such file or
directory
/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_GB.UTF-8)
dbconfig-common: writing config to
/etc/dbconfig-common/redmine/instances/default.conf
/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_GB.UTF-8)

Creating config file /etc/dbconfig-common/redmine/instances/default.conf
with new version
/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_GB.UTF-8)
/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_GB.UTF-8)

Creating config file /etc/redmine/default/database.yml.new with new version
/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_GB.UTF-8)
creating database redmine_default: success.
verifying database redmine_default exists: success.
/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_GB.UTF-8)
/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_GB.UTF-8)

Creating config file /etc/redmine/default/database.yml with new version
NOTE: Gem.source_index is deprecated, use Specification. It will be
removed on or after 2011-11-01.
Gem.source_index called from
/usr/share/redmine/vendor/rails/railties/lib/rails/gem_dependency.rb:21.
/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_GB.UTF-8)

Creating config file /etc/redmine/default/session.yml with new version
A new secret session key has been generated in
/etc/redmine/default/session.yml
Populating database for redmine instance "default".
This may take a while.
NOTE: Gem.source_index is deprecated, use Specification. It will be
removed on or after 2011-11-01.
Gem.source_index called from
/usr/share/redmine/vendor/rails/railties/lib/rails/gem_dependency.rb:21.
Done.
NOTE: Gem.source_index is deprecated, use Specification. It will be
removed on or after 2011-11-01.
Gem.source_index called from
/usr/share/redmine/vendor/rails/railties/lib/rails/gem_dependency.rb:21.
Default configuration data loaded.
NOTE: Gem.source_index is deprecated, use Specification. It will be
removed on or after 2011-11-01.
Gem.source_index called from
/usr/share/redmine/vendor/rails/railties/lib/rails/gem_dependency.rb:21.
Migrating engines...
Migrating acts_as_activity_provider...
Migrating acts_as_attachable...
Migrating acts_as_customizable...
Migrating acts_as_event...
Migrating acts_as_list...
Migrating acts_as_searchable...
Migrating acts_as_tree...
Migrating acts_as_versioned...
Migrating acts_as_watchable...
Migrating awesome_nested_set...
Migrating classic_pagination...
Migrating gravatar...
Migrating open_id_authentication...
Migrating prepend_engine_views...
Migrating rfpdf...

Thanks,

Roland



Added tag(s) unreproducible. Request was from Roland Stigge <stigge@antcom.de> to control@bugs.debian.org. (Fri, 23 Nov 2012 19:51:07 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'grave' Request was from Roland Stigge <stigge@antcom.de> to control@bugs.debian.org. (Fri, 23 Nov 2012 19:51:09 GMT) Full text and rfc822 format available.

Message sent on to Axel Beckert <abe@debian.org>:
Bug#693994. (Fri, 23 Nov 2012 19:51:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jérémy Lal <kapouer@melix.org>:
Bug#693994; Package redmine. (Fri, 23 Nov 2012 20:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Jérémy Lal <kapouer@melix.org>. (Fri, 23 Nov 2012 20:39:10 GMT) Full text and rfc822 format available.

Message #22 received at 693994@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Roland Stigge <stigge@antcom.de>
Cc: 693994@bugs.debian.org
Subject: Re: Bug#693994: redmine: Fails to install: Redmine requires Bundler
Date: Fri, 23 Nov 2012 21:35:02 +0100
Control: retitle -1 redmine: Missing dependency on rubygems | libruby1.9.1
Control: severity -1 serious

Hi Roland,

Roland Stigge wrote:
> I can't reproduce this issue.
> 
> Tried the following:
> 
> * Installing in a clean wheezy chroot (debootstrap)
> * Installing in a clean wheezy chroot (pbuilder login)
> * Installing in a clean unstable chroot (pbuilder login)
> 
> Works fine, like this:

Thanks for cross-checking. It brought me on the right path to find the
solution:

What seems to fail is the rake call, even without any parameters.
The output of "strace rake" slightly puzzles me:

chdir("/usr/share/redmine")             = 0
getcwd("/usr/share/redmine", 200)       = 19
open("/usr/share/redmine/Rakefile", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=360, ...}) = 0
close(3)                                = 0
open("/usr/share/redmine/Rakefile", O_RDONLY) = 3
close(3)                                = 0
open("/usr/share/redmine/Rakefile", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=360, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f5e730f4000
read(3, "# Add your own tasks in files pl"..., 4096) = 360
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x7f5e730f4000, 4096)            = 0
open("/usr/share/redmine/config/boot.rb", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=3122, ...}) = 0
close(3)                                = 0
open("/usr/share/redmine/config/boot.rb", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=3122, ...}) = 0
close(3)                                = 0
open("/usr/share/redmine/config/boot.rb", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=3122, ...}) = 0
close(3)                                = 0
open("/usr/share/redmine/config/boot.rb", O_RDONLY) = 3
close(3)                                = 0
open("/usr/share/redmine/config/boot.rb", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=3122, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f5e730f4000
read(3, "# Don't change this file!\n# Conf"..., 4096) = 3122
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x7f5e730f4000, 4096)            = 0
brk(0xc69000)                           = 0xc69000
stat("/usr/share/redmine/config/../config/preinitializer.rb", {st_mode=S_IFREG|0644, st_size=649, ...}) = 0
open("/usr/share/redmine/config/../config/preinitializer.rb", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=649, ...}) = 0
close(3)                                = 0
open("/usr/share/redmine/config/../config/preinitializer.rb", O_RDONLY) = 3
close(3)                                = 0
open("/usr/share/redmine/config/../config/preinitializer.rb", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=649, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f5e730f4000
read(3, "begin\n  require \"rubygems\"\n  req"..., 4096) = 649
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x7f5e730f4000, 4096)            = 0
stat("/usr/local/lib/site_ruby/1.8/rubygems.rb", 0x7fff4729e2d0) = -1 ENOENT (No such file or directory)
stat("/usr/local/lib/site_ruby/1.8/rubygems.so", 0x7fff4729e2d0) = -1 ENOENT (No such file or directory)
stat("/usr/local/lib/site_ruby/1.8/x86_64-linux/rubygems.rb", 0x7fff4729e2d0) = -1 ENOENT (No such file or directory)
stat("/usr/local/lib/site_ruby/1.8/x86_64-linux/rubygems.so", 0x7fff4729e2d0) = -1 ENOENT (No such file or directory)
stat("/usr/local/lib/site_ruby/rubygems.rb", 0x7fff4729e2d0) = -1 ENOENT (No such file or directory)
stat("/usr/local/lib/site_ruby/rubygems.so", 0x7fff4729e2d0) = -1 ENOENT (No such file or directory)
stat("/usr/lib/ruby/vendor_ruby/1.8/rubygems.rb", 0x7fff4729e2d0) = -1 ENOENT (No such file or directory)
stat("/usr/lib/ruby/vendor_ruby/1.8/rubygems.so", 0x7fff4729e2d0) = -1 ENOENT (No such file or directory)
stat("/usr/lib/ruby/vendor_ruby/1.8/x86_64-linux/rubygems.rb", 0x7fff4729e2d0) = -1 ENOENT (No such file or directory)
stat("/usr/lib/ruby/vendor_ruby/1.8/x86_64-linux/rubygems.so", 0x7fff4729e2d0) = -1 ENOENT (No such file or directory)
stat("/usr/lib/ruby/vendor_ruby/rubygems.rb", 0x7fff4729e2d0) = -1 ENOENT (No such file or directory)
stat("/usr/lib/ruby/vendor_ruby/rubygems.so", 0x7fff4729e2d0) = -1 ENOENT (No such file or directory)
stat("/usr/lib/ruby/1.8/rubygems.rb", 0x7fff4729e2d0) = -1 ENOENT (No such file or directory)
stat("/usr/lib/ruby/1.8/rubygems.so", 0x7fff4729e2d0) = -1 ENOENT (No such file or directory)
stat("/usr/lib/ruby/1.8/x86_64-linux/rubygems.rb", 0x7fff4729e2d0) = -1 ENOENT (No such file or directory)
stat("/usr/lib/ruby/1.8/x86_64-linux/rubygems.so", 0x7fff4729e2d0) = -1 ENOENT (No such file or directory)
stat("./rubygems.rb", 0x7fff4729e2d0)   = -1 ENOENT (No such file or directory)
stat("./rubygems.so", 0x7fff4729e2d0)   = -1 ENOENT (No such file or directory)
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
write(2, "Redmine requires Bundler. Please"..., 71Redmine requires Bundler. Please install it with `gem install bundler`.) = 71
write(2, "\n", 1
)                       = 1
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL, [INT], SA_RESTORER|SA_RESTART, 0x7f5e71d9b4f0}, {0x7f5e72c68b40, [], SA_RESTORER, 0x7f5e729c4030}, 8) = 0
exit_group(1)                           = ?

While config/preinitializer.rb says "require rubygems" and then
"require bundler", it looks for rubygems, doesn't find it and then
fails with claiming that it didn't find bundler. But that's wrong as
the error message is hardcoded in config/preinitializer.rb.

So the real error is that it doesn't find rubygems.rb or rubygems.so.
Now the remaining question is: "Why?"

Installing the package rubygems solved the issue. Uninstalling
rubygems and reconfiguring redmine brought it back.

So I started checking alternative dependencies where I didn't have the
first choice as pbuilder would choose. And bingo:

bundler depends on "ruby | ruby-interpreter" which was satisfied on
that box by ruby1.8 (Provides: ruby-interpreter). Installing "ruby"
pulled in "ruby1.9.1" and "libruby1.9.1" and then redmine reconfigures
fine, too. libruby1.9.1 contains rubygems.rb, too, but doesn't provide
"rubygems".

So there seems to be a dependency on "rubygems | libruby1.9.1" missing
in the redmine package. AFAICS alternatively dependencies on "rubygems
| ruby (>= 4.9)" or "rubygems | ruby1.9.1" should do it, too. Don't
know which one is the most useful.

Downgrading from "grave" to "serious" as it's "only" a dependency
issue.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Changed Bug title to 'redmine: Missing dependency on rubygems | libruby1.9.1' from 'redmine: Fails to install: Redmine requires Bundler. Please install it with `gem install bundler`.' Request was from Axel Beckert <abe@debian.org> to 693994-submit@bugs.debian.org. (Fri, 23 Nov 2012 20:39:10 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Axel Beckert <abe@debian.org> to 693994-submit@bugs.debian.org. (Fri, 23 Nov 2012 20:39:10 GMT) Full text and rfc822 format available.

Removed tag(s) unreproducible. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Fri, 23 Nov 2012 20:48:03 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Roland Stigge <stigge@antcom.de> to control@bugs.debian.org. (Fri, 23 Nov 2012 20:54:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jérémy Lal <kapouer@melix.org>:
Bug#693994; Package redmine. (Sat, 24 Nov 2012 12:42:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to Jérémy Lal <kapouer@melix.org>. (Sat, 24 Nov 2012 12:42:16 GMT) Full text and rfc822 format available.

Message #35 received at 693994@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: control@bugs.debian.org
Cc: 693994@bugs.debian.org, 687449@bugs.debian.org
Subject: Fixes
Date: Sat, 24 Nov 2012 13:34:26 +0100 (CET)
[Message part 1 (text/plain, inline)]
severity 687449 serious
flag 687449 + patch
kthxbye

The attached patch fixed bugs #687449 and 693994.

-- 
Cheers,
Nik
[redmine-fixes.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jérémy Lal <kapouer@melix.org>:
Bug#693994; Package redmine. (Sat, 24 Nov 2012 13:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to Jérémy Lal <kapouer@melix.org>. (Sat, 24 Nov 2012 13:21:08 GMT) Full text and rfc822 format available.

Message #40 received at 693994@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: submit@bugs.debian.org
Cc: 693994@bugs.debian.org
Subject: RFS: redmine/1.4.4+dfsg1-2 [NMU] [RC]
Date: Sat, 24 Nov 2012 14:17:55 +0100 (CET)
Package: sponsorship-requests
Severity: important

Dear mentors,

I am looking for a sponsor for my package "redmine"

* Package name    : redmine
  Version         : 1.4.4+dfsg1-1.1
* URL             : http://www.redmine.org
* License         : many
  Section         : web

It builds those binary packages:

 redmine    - flexible project management web application
 redmine-mysql - metapackage providing MySQL dependencies for Redmine
 redmine-pgsql - metapackage providing PostgreSQL dependencies for Redmine
 redmine-sqlite - metapackage providing sqlite dependencies for Redmine

 To access further information about this package, please visit the 
following URL:

 http://mentors.debian.net/package/redmine


Alternatively, one can download the package with dget using this command:

    dget -x http://mentors.debian.net/debian/pool/main/r/redmine/redmine_1.4.4+dfsg1-1.1.dsc

Changes since the last upload:

  * NMU to fix RC bugs.
  * debian/control: add dependency on rubygems or recent enough ruby
    (Closes: #693994).
  * debian/postinst: replace exit status -1 with 2 for shell compatibility
    (Closes: #687449).

Regards,
 Dominik George



Added blocking bug(s) of 693994: 694164 Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 27 Nov 2012 14:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jérémy Lal <kapouer@melix.org>:
Bug#693994; Package redmine. (Sun, 02 Dec 2012 09:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cédric Boutillier <cedric.boutillier@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jérémy Lal <kapouer@melix.org>. (Sun, 02 Dec 2012 09:54:11 GMT) Full text and rfc822 format available.

Message #47 received at 693994@bugs.debian.org (full text, mbox):

From: Cédric Boutillier <cedric.boutillier@gmail.com>
To: 693994@bugs.debian.org, 694164-submitter@debian.org
Subject: circumvent the use of rubygems instead of requiring it
Date: Sun, 2 Dec 2012 09:51:21 +0100
Hi!

Instead of requiring rubygems, wouldn't be better to circumvent rubygems
instructions in config/boot? All the dependencies are already ensured to
be installed thanks to APT, so there is no need for extra checks to be
sure that rails is installed.



Reply sent to Dominik George <nik@naturalnet.de>:
You have taken responsibility. (Mon, 03 Dec 2012 04:36:06 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@debian.org>:
Bug acknowledged by developer. (Mon, 03 Dec 2012 04:36:06 GMT) Full text and rfc822 format available.

Message #52 received at 693994-close@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: 693994-close@bugs.debian.org
Subject: Bug#693994: fixed in redmine 1.4.4+dfsg1-1.1
Date: Mon, 03 Dec 2012 04:32:36 +0000
Source: redmine
Source-Version: 1.4.4+dfsg1-1.1

We believe that the bug you reported is fixed in the latest version of
redmine, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693994@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominik George <nik@naturalnet.de> (supplier of updated redmine package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 29 Nov 2012 14:18:29 +0200
Source: redmine
Binary: redmine redmine-mysql redmine-pgsql redmine-sqlite
Architecture: source all
Version: 1.4.4+dfsg1-1.1
Distribution: unstable
Urgency: medium
Maintainer: Jérémy Lal <kapouer@melix.org>
Changed-By: Dominik George <nik@naturalnet.de>
Description: 
 redmine    - flexible project management web application
 redmine-mysql - metapackage providing MySQL dependencies for Redmine
 redmine-pgsql - metapackage providing PostgreSQL dependencies for Redmine
 redmine-sqlite - metapackage providing sqlite dependencies for Redmine
Closes: 687449 693994
Changes: 
 redmine (1.4.4+dfsg1-1.1) unstable; urgency=medium
 .
   * Non-maintainer upload.
   * debian/control: add dependency on rubygems or recent enough ruby
     (Closes: #693994) [Axel Beckert].
   * debian/postinst: replace exit status -1 with 2 for shell compatibility
     (e.g. ksh) (Closes: #687449).
Checksums-Sha1: 
 27960274f003480815c0f48b09bdb0f4ce8379fe 2901 redmine_1.4.4+dfsg1-1.1.dsc
 bbe53d1cdbdc1a2a9da57f863e1f59acc1653a1a 37147 redmine_1.4.4+dfsg1-1.1.debian.tar.gz
 834ca0eccc691549f56b365e7a9d8635b16bb712 5037224 redmine_1.4.4+dfsg1-1.1_all.deb
 95025b23244edd770934d39a1b4454433dc7fadd 52864 redmine-mysql_1.4.4+dfsg1-1.1_all.deb
 6f9f2dd0911c19663a534a3fb10bf19161a7079d 52854 redmine-pgsql_1.4.4+dfsg1-1.1_all.deb
 4f0292a9dcef194ec3286b5603f6175ddb816436 52834 redmine-sqlite_1.4.4+dfsg1-1.1_all.deb
Checksums-Sha256: 
 5e7f552e0b0028f16b1f7d5e2c6554958130934a35c2f971f3703738347850a9 2901 redmine_1.4.4+dfsg1-1.1.dsc
 7d3b69f21bfc63b60a2bf1f331fd9ce97c2cbd1958c1cc5994be334feb2858f6 37147 redmine_1.4.4+dfsg1-1.1.debian.tar.gz
 f1523663a2d4e4ee0cf3397381a8f65073a1ec3253b89fcd2a2e934581b8b949 5037224 redmine_1.4.4+dfsg1-1.1_all.deb
 73140a5d00129e6fe46b54e89ee9b22c7c26f87d906b0690f7d49f9855097058 52864 redmine-mysql_1.4.4+dfsg1-1.1_all.deb
 0a86e743461d250dd6159770be5d156c4ca5cd3c2abffce7f65656b539adbb61 52854 redmine-pgsql_1.4.4+dfsg1-1.1_all.deb
 d0af2ab71d67a4ffdfc81f834976377bf74d83e274d59b401d9f7278a889c103 52834 redmine-sqlite_1.4.4+dfsg1-1.1_all.deb
Files: 
 6ccca2a40375ad24a0a0dfa18c4120c9 2901 web extra redmine_1.4.4+dfsg1-1.1.dsc
 611b6e085326bbaceadc816cf33f97d8 37147 web extra redmine_1.4.4+dfsg1-1.1.debian.tar.gz
 3d2ee3a0f4232cd1c91f1b8963d2d618 5037224 web extra redmine_1.4.4+dfsg1-1.1_all.deb
 5ec3d4968fd849c55657894096c674d0 52864 web extra redmine-mysql_1.4.4+dfsg1-1.1_all.deb
 7b333043de010b94f99e9122164effa2 52854 web extra redmine-pgsql_1.4.4+dfsg1-1.1_all.deb
 ce32b2d93c0e125700d2727897a1a4d1 52834 web extra redmine-sqlite_1.4.4+dfsg1-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQQcBAEBCAAGBQJQtYwJAAoJELjWss0C1vRzCOUf/iWD+S2Rj+OlWWPMNX0NY+vJ
unHltA3M2uflKj6dWhQMJIZknDH5S4MxKzeFu1DkmDuKrr6NEi2q4na8DN+uBLBY
0pRe4BDNch5iIaduo7+Y7xQaGXRxggNpBgD0yAVm5Mcm5KDmaWgXRVGTZKJ75zJK
gkYpkzlY+Tqoo9ayuLT45SoIPryrRvXpTgbfwggiEi6qhvXJdbDS/Hr1Zw5j76hq
cp1tJsipV8Fdp1SFsxq60bMXTuTh4tksMiCiNo7xRrvqYWhpFay3TmSP+gGBu/ut
rUhN6DRN4zlMNVWAbr0pMwO1CABMunFuVtV6AULLuPmWoJAKHA/2nMegiIp515WX
ukMFEb1RfWKytl4Ya7b703bpQ5IjPOn4gJDBFPk3+r1LpLvAZqS81HaVuq8g0mtQ
7nId4E/ikK6uaJXYId8BiKUfY5m6L5LI9zFi9ZrVhpsYKTKxvSCeWrV5kN3p1bDG
HpX3zs2DQqWCUhyYEUmUNX2P/4i11Z7t7vMudwS2uWq3zVD6ekYEwhqq55VoRaOi
ygXkyqMLER6EgsNM/cY/fnpHiQoQClRgpAv9y8o0MrPYHndl2hp8Dm/WB75MRyc9
whPqOoUOg0Ihni+7iNXrMAf078dz+NSY4W9h8kEmU7Xcgi1/7gzVYSE75UrQrwun
mrnvE/FUTTmUWTzRP/i7f++feYmTu/OLtfUMmilftkqbq/oRNuxfzRiNckpVDNDf
iHXELI4I/Oa6eNT9wWRHiLGgeJEDcY4+JeZO1x33jeTap/+jvcMonRC+0qpz8sjd
cms+vtioae/VGz4TfNu+gj95c+fTWQ9HHplcjV/wRw5y1FTF7Tn2rOu4R2cot1q4
t1LKK74a3+g9W3bWvjaZRkbjKQU0JSMKyYH+D555XctgRzwcfti+akFNMEOb721U
BY238lSSyGmUc6XfG2QSXxcet6YeGEfxp/vNh4Gkly2OMr3iUcmgOFD5OEhw1v6S
vmAMtc2JRFN2Hh9TLRHUnWWBZURKy2uTL5JHc185s07MC2jhBTjAeIXFAoBzRDIh
vQSA1vRmHL1qhEJk0aAJDe6dmRWrzvCKH7b4iDYSfs2crCD+mQa3qaLIZNn071mO
R9FQms0wZR+nbBKz/xjsvCScZCcgNVcefg0Po/umv4r1OSSHkM2NKdMIo5rIKeFF
Q1uJtXQR2IO4WFOQSgfEuWfi+Vklk+UuBvng5lAfHlB3dhFF0qwiNL/FNg1bDCGg
D8KhaM0qj3JEUm/pk/r6IN2efaiwuZ1wG+o3crD/EtBSlDYAjEa7IrD2mnsc2ZFr
RQXUGUm/Kkd9tlj1ge2MZ8RDupM5TpBhaCe7ayHk65uAT3sn7XNA/s7eAF6Bd8k=
=Hbo/
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Jan 2013 07:29:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:38:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.